test: regression tests for n_indexopts_{get,set}_decrypt_policy
[notmuch] / INSTALL
diff --git a/INSTALL b/INSTALL
index cadd3cec76ef43c7e804eb0aba66ecb0d7745595..40ea377af97d6b72325016044a8db37433671d3e 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -18,20 +18,10 @@ will call configure for you). See this command:
 for detailed documentation of the things you can control at the
 configure stage.
 
-notmuch.el installation
------------------------
-Installing the notmuch.el emacs lisp function systemwide:
-
-       sudo make install-emacs
-
-Each user needs to add (require 'notmuch) in his ~/.emacs to make it
-available and then start emacs running notmuch with "emacs -f notmuch"
-or start notmuch from within emacs with "M-x notmuch".
-
 Dependencies
 ------------
-Notmuch depends on three libraries: Xapian, GMime 2.4, and Talloc
-which are each described below:
+Notmuch depends on four libraries: Xapian, GMime 3.0,
+Talloc, and zlib which are each described below:
 
        Xapian
        ------
@@ -40,21 +30,23 @@ which are each described below:
        It provides all the real machinery of indexing and searching,
        (including the very nice parsing of the query string).
 
-       Xapian is available from http://xapian.org
+       Xapian is available from https://xapian.org
 
-       After installing Xapian, please ensure that you have a command
-       named "xapian-config" on your $PATH as notmuch expects. (At
-       least one notmuch user found that Xapian installed the config
-       program to /usr/local/bin/xapian-config-1.1 ).
+       Note: Notmuch will work best with Xapian 1.0.18 (or later) or
+       Xapian 1.1.4 (or later). Previous versions of Xapian (whether
+       1.0 or 1.1) had a performance bug that made notmuch very slow
+       when modifying tags. This would cause distracting pauses when
+       reading mail while notmuch would wait for Xapian when removing
+       the "inbox" and "unread" tags from messages in a thread.
 
-       GMime 2.4
-       ---------
-       GMime 2.4 provides decoding of MIME email messages for Notmuch.
+       GMime
+       -----
+       GMime provides decoding of MIME email messages for Notmuch.
 
        Without GMime, Notmuch would not be able to extract and index
        the actual text from email message encoded as BASE64, etc.
 
-       GMime 2.4 is available from http://spruce.sourceforge.net/gmime/
+       GMime is available from https://github.com/jstedfast/gmime
 
        Talloc
        ------
@@ -66,18 +58,47 @@ which are each described below:
        made development of Notmuch much easier and much less prone to
        memory leaks.
 
-       Talloc is available from http://talloc.samba.org/
+       Talloc is available from https://talloc.samba.org/
 
-On a modern, package-based operating system such as Debian, you can
-install all of the dependencies with the following simple command
-line:
+       zlib
+       ----
 
-        sudo apt-get install libxapian-dev libgmime-2.4-dev libtalloc-dev
+       zlib is an extremely popular compression library. It is used
+       by Xapian, so if you installed that you will already have
+       zlib. You may need to install the zlib headers separately.
 
-On other systems, a similar command can be used, but the details of
-the package names may be different, (such as "devel" in place of
-"dev").
+       Notmuch needs the transparent write feature of zlib introduced
+       in version 1.2.5.2 (Dec. 2011).
+
+       zlib is available from https://zlib.net
+
+Building Documentation
+----------------------
+
+To build the documentation for notmuch you need at least version 1.0
+of sphinx (Jul. 2010).
+
+Sphinx is available from www.sphinx-doc.org.
 
+To install the documentation as "info" pages, you will need the
+additional tools makeinfo and install-info.
+
+Installing Dependencies from Packages
+-------------------------------------
+
+On a modern, package-based operating system you can install all of the
+dependencies with a single simple command line. For example:
+
+  For Debian and similar:
+
+        sudo apt-get install libxapian-dev libgmime-3.0-dev libtalloc-dev zlib1g-dev python3-sphinx texinfo install-info
+
+  For Fedora and similar:
+
+       sudo dnf install xapian-core-devel gmime30-devel libtalloc-devel zlib-devel python3-sphinx texinfo info
+
+On other systems, a similar command can be used, but the details of
+the package names may be different.